import java.util.HashMap;

public class RecordUpdater implements ICommand
{
	String table;
	String recordId;
	String recordKey;
	HashMap<String, Object> nameToValue;
	
	public RecordUpdater(String t, String recId, String recKey, HashMap<String,Object> nTV)
	{
		table = t;
		recordId = recId;
		recordKey = recKey;
		nameToValue = nTV;
	}
	
	public void execute(DBWrapper dbW)
	{
		dbW.Update(table, recordId, recordKey, nameToValue);
	}
}